Skip to main content
GET
/
analytics
/
dashboards
/
payment-breakdown
/
payment-breakdown-grouped
Get Payment Breakdown Grouped
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/payment-breakdown/payment-breakdown-grouped \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/analytics/dashboards/payment-breakdown/payment-breakdown-grouped"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/analytics/dashboards/payment-breakdown/payment-breakdown-grouped', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "groups": [
    {
      "key": "<string>",
      "label": "<string>",
      "count": 123,
      "summary": {
        "totalPayments": 0,
        "totalAmount": 0,
        "totalFee": 0,
        "totalNetAmount": 0,
        "uniquePatients": 0,
        "uniqueLocations": 0
      },
      "rows": [
        {
          "createdDate": "2023-11-07T05:31:56Z",
          "patient": {
            "id": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "phoneNumber": "<string>",
            "email": "<string>",
            "type": "PATIENT",
            "locationId": "<string>",
            "dateOfBirth": "2023-12-25",
            "onSchedulingBlacklist": true
          },
          "paymentMedium": "<string>",
          "amount": 123,
          "fee": 123,
          "netAmount": 123,
          "status": "<string>",
          "paymentId": "<string>",
          "location": "<string>",
          "paymentMethodType": "<string>",
          "paymentMethodDetails": "<string>",
          "comment": "<string>"
        }
      ],
      "totalPages": 123
    }
  ],
  "grandTotals": {
    "totalPayments": 0,
    "totalAmount": 0,
    "totalFee": 0,
    "totalNetAmount": 0,
    "uniquePatients": 0,
    "uniqueLocations": 0
  },
  "totalCount": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

group_by
enum<string>
required
Available options:
location,
provider,
payment_medium,
created_date,
week,
month
timezone
string
required

Timezone for date grouping (e.g., 'America/New_York', 'UTC')

page_size
integer
default:20
group_key
string | null
page
integer | null
sort_by
string
default:created_date
sort_direction
enum<string>
default:desc
Available options:
asc,
desc
start_date
string | null
end_date
string | null
location_ids
string[] | null
location_names
string[] | null
patient_ids
string[] | null
payment_mediums
string[] | null
payment_statuses
string[] | null
min_amount
number | null
max_amount
number | null
comment
string | null

Response

Successful Response

Complete response from the payment breakdown grouped endpoint.

groups
PaymentBreakdownGroup · object[]
required
grandTotals
PaymentBreakdownSummary · object
required

Aggregated summary for a group or grand totals.

totalCount
integer
required